org.apache.sling.hapi.client.forms.internal

## Class FormValues

- java.lang.Object
- - org.apache.sling.hapi.client.forms.internal.FormValues

    public class FormValues
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FormValues(org.jsoup.nodes.Element form, Iterable<org.apache.http.NameValuePair> values)`

### Method Summary

Methods
`org.apache.http.HttpEntity` `toMultipartEntity()`
`String` `toString()`
`org.apache.http.HttpEntity` `toUrlEncodedEntity()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FormValues

    public FormValues(org.jsoup.nodes.Element form,
              Iterable<org.apache.http.NameValuePair> values)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### toUrlEncodedEntity

    public org.apache.http.HttpEntity toUrlEncodedEntity()

#### toMultipartEntity

    public org.apache.http.HttpEntity toMultipartEntity()